<%= form_for(@query) do |f| %>
  <% if @query.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@query.errors.count, "error") %> prohibited this query from being saved:</h2>

      <ul>
      <% @query.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

	<dl class="field">
		<dt><%= f.label :author_id %></dt>
		<dd><%= f.text_field :author_id %></dd>
		<dt><%= f.label :definition_id %></dt>
		<dd><%= f.text_field :definition_id %></dd>
		<dt><%= f.label :purpose %></dt>
		<dd><%= f.text_field :purpose %></dd>
		<dt><%= f.label :sql %></dt>
		<dd><%= f.text_area :sql %></dd>

	</dl>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>
